setwd("~/Documents/Publications/Human/Anouk_2018/Manuscript_2019/Submission_1/Submission_1/2020_02_21/Data_analyses/TF_analysis/")
getwd()
tf_tile<- read.delim("For_TF_tile.txt")
str(tf_tile)
nr<-nrow(tf_tile)
nc<-ncol(tf_tile)
nr
nc

for (i in 1:nr){
  if (tf_tile$Exp[i] == "A"){
    tf_tile$code[i] <- paste0(tf_tile$Exp[i],tf_tile$CT[i])
  }
  else if (tf_tile$Exp[i] == "B"){
    tf_tile$code[i] = paste0("C",tf_tile$CT[i])
    #tf_tile$color[i] = "#99d594"
    if (tf_tile$Gene[i] == "X"){tf_tile$color[i] = "#FFFFFF"}
  }
  else if (tf_tile$Exp[i] == "C"){
    tf_tile$code[i] = paste0("B",tf_tile$CT[i])
    #tf_tile$color[i] = "#d53e4f"
    if (tf_tile$Gene[i] == "X"){tf_tile$color[i] = "#FFFFFF"}
  }
  else if (tf_tile$Exp[i] == "D"){
    tf_tile$code[i] = paste0(tf_tile$Exp[i],tf_tile$CT[i])
  }
}

str(tf_tile)
TF_tile_plot<-ggplot(data = tf_tile)+geom_tile(mapping = aes(x = tf_tile$code, y = reorder(tf_tile$Gene,tf_tile$Order)), fill = tf_tile$color)+ theme(axis.title = element_blank(), axis.ticks = element_blank(), axis.text.x = element_text(angle=90,hjust=1,vjust=0.5,size=8, color = "black", face ="bold"), axis.text.y = element_text(hjust=0.5,vjust=0.5,size=3,color = "Black", face ="bold"))
TF_tile_plot
ggsave("TF_tile_plot.png", dpi=300)
